Name:        hyphen-de
Version:     0.20060120
Release:     21
Summary:     About the German hyphenation rule
License:     LGPLv2+
URL:         http://wiki.services.openoffice.org/wiki/Dictionaries
Source:      http://ftp.tu-chemnitz.de/pub/openoffice-extended/contrib/dictionaries/hyph_de_DE.zip 
BuildArch:   noarch
Requires:    hyphen
Supplements: (hyphen and langpacks-de)

%description
About the German hyphenation rule.

%prep
%autosetup -c -n hyphen-de -p1

%build
iconv README_hyph_de_DE.txt -f ISO-8859-1 -t UTF-8 -o README_hyph_de_DE.txt.new
touch -r README_hyph_de_DE.txt README_hyph_de_DE.txt.new
mv -f README_hyph_de_DE.txt.new README_hyph_de_DE.txt

%install
install -Dp hyph_de_DE.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen/hyph_de_DE.dic
cd $RPM_BUILD_ROOT/%{_datadir}/hyphen/
de_DE_aliases="de_AT de_BE de_CH de_LI de_LU"
for lang in $de_DE_aliases; do
        ln -s hyph_de_DE.dic hyph_$lang.dic
done
cd -

%files
%doc README_hyph_de_DE.txt
%{_datadir}/hyphen/*

%changelog
* Thu Apr 16 2020 huanghaitao <huanghaitao8@huawei> - 0.20060120-21
- Package init
